module Text.HTML.Moe2.Backend.ByteString where

import qualified Data.ByteString.Char8 as B
import Data.Text.Encoding (decodeUtf8, encodeUtf8)
import qualified Data.Text as T
import Air.Env
import Prelude ()

type Internal = B.ByteString

pack :: String -> Internal
pack = T.pack > encodeUtf8

unpack :: Internal -> String
unpack = decodeUtf8 > T.unpack

none :: Internal
none = B.empty

concat :: [Internal] -> Internal
concat = B.concat

append :: Internal -> Internal -> Internal
append = B.append

intercalate :: Internal -> [Internal] -> Internal
intercalate = B.intercalate

to_bs :: Internal -> B.ByteString
to_bs = id
